#include <bits/stdc++.h>
using namespace std;

int main () {
ios_base::sync_with_stdio(false);cin.tie(0);

const int MAX=pow(10, 9);

int brS, h;
cin>>brS>>h;
int rednibr=0;

brS<=1000;
h<=MAX;

int hS[brS];
bool ima=false;

for (int i=0; i<brS; ++i) {
	cin>>hS[i];
	hS[i]<=MAX;
	rednibr=rednibr+1;
	if (hS[i]<=h) {
		ima=true;
		cout<<rednibr;
		break;}
		}

if (ima==false) cout<<-1;

}